net.sf.jasperreports.engine.fill

## Class JRFillField

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRFillField

- All Implemented Interfaces:
    java.lang.Cloneable, JRCloneable, JRField, JRPropertiesHolder

      public class JRFillField
      extends java.lang.Object
      implements JRField

  Version:
    $Id: JRFillField.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRField` | `parent`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRFillField(JRField field, JRFillObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `java.lang.String` | `getDescription()` Gets the field optional description.
    `java.lang.String` | `getName()` Gets the field unique name.
    `java.lang.Object` | `getOldValue()`
    `JRPropertiesHolder` | `getParentProperties()` Returns the parent properties holder, whose properties are used as defaults for this object.
    `java.lang.Object` | `getPreviousOldValue()`
    `JRPropertiesMap` | `getPropertiesMap()` Returns this object's properties map.
    `java.lang.Object` | `getValue()`
    `java.lang.Object` | `getValue(byte evaluation)`
    `java.lang.Class<?>` | `getValueClass()` Gets the field value class.
    `java.lang.String` | `getValueClassName()` Gets the field value class name.
    `boolean` | `hasProperties()` Checks whether the object has any properties.
    `void` | `overwriteValue(java.lang.Object newValue, byte evaluation)`
    `void` | `restoreValue(byte evaluation)`
    `void` | `setDescription(java.lang.String description)` Sets the field description.
    `void` | `setOldValue(java.lang.Object oldValue)`
    `void` | `setPreviousOldValue(java.lang.Object previousOldValue)`
    `void` | `setValue(java.lang.Object value)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parent

          protected JRField parent

  - ### Constructor Detail

    - #### JRFillField

          protected JRFillField(JRField field,
                     JRFillObjectFactory factory)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `JRField`
      Gets the field unique name.
      Specified by:
        `getName` in interface `JRField`

    - #### getDescription

          public java.lang.String getDescription()

      Description copied from interface: `JRField`
      Gets the field optional description.
      Specified by:
        `getDescription` in interface `JRField`

    - #### setDescription

          public void setDescription(java.lang.String description)

      Description copied from interface: `JRField`
      Sets the field description.
      Specified by:
        `setDescription` in interface `JRField`

    - #### getValueClass

          public java.lang.Class<?> getValueClass()

      Description copied from interface: `JRField`
      Gets the field value class. Field types cannot be primitives.
      Specified by:
        `getValueClass` in interface `JRField`

    - #### getValueClassName

          public java.lang.String getValueClassName()

      Description copied from interface: `JRField`
      Gets the field value class name.
      Specified by:
        `getValueClassName` in interface `JRField`

    - #### getOldValue

          public java.lang.Object getOldValue()

    - #### setOldValue

          public void setOldValue(java.lang.Object oldValue)

    - #### getValue

          public java.lang.Object getValue()

    - #### setValue

          public void setValue(java.lang.Object value)

    - #### getValue

          public java.lang.Object getValue(byte evaluation)

    - #### overwriteValue

          public void overwriteValue(java.lang.Object newValue,
                            byte evaluation)

    - #### restoreValue

          public void restoreValue(byte evaluation)

    - #### getPreviousOldValue

          public java.lang.Object getPreviousOldValue()

    - #### setPreviousOldValue

          public void setPreviousOldValue(java.lang.Object previousOldValue)

    - #### hasProperties

          public boolean hasProperties()

      Description copied from interface: `JRPropertiesHolder`
      Checks whether the object has any properties.
      Specified by:
        `hasProperties` in interface `JRPropertiesHolder`
      Returns:
        whether the object has any properties

    - #### getPropertiesMap

          public JRPropertiesMap getPropertiesMap()

      Description copied from interface: `JRPropertiesHolder`
      Returns this object's properties map.
      Specified by:
        `getPropertiesMap` in interface `JRPropertiesHolder`
      Returns:
        this object's properties map

    - #### getParentProperties

          public JRPropertiesHolder getParentProperties()

      Description copied from interface: `JRPropertiesHolder`
      Returns the parent properties holder, whose properties are used as defaults for this object.
      Specified by:
        `getParentProperties` in interface `JRPropertiesHolder`
      Returns:
        the parent properties holder, or `null` if no parent

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com